<template>
  <div class="rule" :class="{error: isWrong}">
    <div class="rule-content useless-var-content">
      <span v-if="uselessVar.isNotTerminating" class="">{{ uselessVar.symbol }} <span class="useless-var-explanation">terminiert nicht</span></span>
      <span v-if="uselessVar.isUnreachable" class="">{{ uselessVar.symbol }} <span class="useless-var-explanation">ist unerreichbar</span></span>
    </div>
    <div v-if="column.isEditable" class="rule-action">
      <DeleteOutlineIcon :size="18" @click="removeUselessVar(uselessVar)"></DeleteOutlineIcon>
    </div>
  </div>
</template>

<script>
import DeleteOutlineIcon from "vue-material-design-icons/DeleteOutline.vue";
import {inject} from "vue";

export default {
  name: "UselessVar",
  props: ['uselessVar', 'isWrong'],
  components: {
    DeleteOutlineIcon
  },
  setup() {
    const column = inject('col')

    const removeUselessVar = (variable) => {
      const index = column.value.uselessVars.findIndex(v => v.symbol === variable.symbol);
      column.value.uselessVars.splice(index, 1);
    }

    return {
      column,
      removeUselessVar
    }
  }
}
</script>

<style scoped>

</style>